QB_RB_CREATE_FROM_FILE(3)

NAME
qb_rb_create_from_file - Load the saved ring buffer from file into temporary memory.

SYNOPSIS
#include <qb/qbrb.h>

qb_ringbuffer_t * qb_rb_create_from_file(
    int32_t   fd,     /* file with saved ringbuffer data. */
    uint32_t  flags   /* same flags as passed into qb_rb_open()*/
);

PARAMS
fd file with saved ringbuffer data.

flags same flags as passed into qb_rb_open()

DESCRIPTION

RETURN VALUE

new ringbuffer instance

SEE ALSO

qb_rb_close(3), qb_rb_refcount_get(3), qb_rb_chmod(3), qb_rb_chown(3), qb_rb_open(3), qb_rb_write_to_file(3), qb_rb_chunks_used(3), qb_rb_chunk_reclaim(3), qb_rb_space_used(3), qb_rb_chunk_write(3), qb_rb_shared_user_data_get(3), qb_rb_chunk_commit(3), qb_rb_chunk_peek(3), qb_rb_space_free(3), qb_rb_name_get(3), qb_rb_chunk_alloc(3), qb_rb_chunk_read(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.